Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MovingPartBase Class Reference

This is the base class for a single animatable piece that may be bound to one channel (or more, if blending is in effect). More...

Inheritance diagram for MovingPartBase:

List of all members.

## Public Member Functions
AnimChannelBase | getBound (int n)
| Returns the nth bound channel on this PartGroup.
int | getMaxBound ()
| Returns the number of channels that might be bound to this PartGroup.
| outputValue (ostream out)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is the base class for a single animatable piece that may be bound to one channel (or more, if blending is in effect).

It corresponds to, for instance, a single joint or slider of a character.

MovingPartBase does not have a particular value type. See the derived template class, MovingPart, for this.

## Member Function Documentation

AnimChannelBase getBound | ( | int | n | ) |

Returns the nth bound channel on this PartGroup.

n can be determined by iterating from 0 to one less than get_max_bound(); or n might be AnimControl.get_channel_index().

This will return NULL if there is no channel bound on the indicated index. It is an error to call this if n is less than zero or greater than or equal to get_max_bound().

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from PartGroup.

Reimplemented in CharacterJoint, MovingPartMatrix, CharacterSlider, MovingPartScalar, MovingPartACMatrixSwitchType, and MovingPartACScalarSwitchType.

int getMaxBound | ( |  | ) |

Returns the number of channels that might be bound to this PartGroup.

This might not be the actual number of channels, since there might be holes in the list; it is one more than the index number of the highest bound channel. Thus, it is called get_max_bound() instead of get_num_bound().

outputValue | ( | ostream | out | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties